Loading...
Searching...
No Matches
CglZeroHalf.hpp File Reference
`#include <string>`
`#include "CglCutGenerator.hpp"`
`#include "CoinPackedMatrix.hpp"`
`#include "Cgl012cut.hpp"`
Include dependency graph for CglZeroHalf.hpp:

Go to the source code of this file.

## Classes

class | CglZeroHalf
| Zero Half Cut Generator Class. More...

## Functions

void | cglShortestPath (auxiliary_graph *graph, int source, int maximumLength)
| A simple Dijkstra shortest path - make better later.
void | CglZeroHalfUnitTest (const OsiSolverInterface *siP, const std::string mpdDir)
| A function that tests the methods in the CglZeroHalf class.

## Function Documentation

## cglShortestPath()

void cglShortestPath | ( | auxiliary_graph * | graph,
|  | int | source,
|  | int | maximumLength )

A simple Dijkstra shortest path - make better later.

## CglZeroHalfUnitTest()

void CglZeroHalfUnitTest | ( | const OsiSolverInterface * | siP,
|  | const std::string | mpdDir )

A function that tests the methods in the CglZeroHalf class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.